vector-0.13.2.0: Efficient Arrays

Safe Haskell | Safe-Inferred
Language | Haskell2010

Bench.Vector.Tasty

Description

Tasty integration for vector benchmarks.

Synopsis

- newtype VectorSize = VectorSize Int
- newtype RandomSeed = RandomSeed Int

# Documentation

newtype VectorSize #

Size of vector used in benchmarks

Constructors

VectorSize Int |

#### Instances

Instances details

IsOption VectorSize # |
Instance details Defined in Bench.Vector.Tasty Methods defaultValue :: VectorSize # parseValue :: String -> Maybe VectorSize # optionName :: Tagged VectorSize String # optionHelp :: Tagged VectorSize String # showDefaultValue :: VectorSize -> Maybe String # optionCLParser :: Parser VectorSize #

newtype RandomSeed #

Random seed used for generation of the test data

Constructors

RandomSeed Int |

#### Instances

Instances details

IsOption RandomSeed # |
Instance details Defined in Bench.Vector.Tasty Methods defaultValue :: RandomSeed # parseValue :: String -> Maybe RandomSeed # optionName :: Tagged RandomSeed String # optionHelp :: Tagged RandomSeed String # showDefaultValue :: RandomSeed -> Maybe String # optionCLParser :: Parser RandomSeed #